org.apache.lucene.queryparser.surround.query

## Class NotQuery

- java.lang.Object
- - org.apache.lucene.queryparser.surround.query.SrndQuery
  - - org.apache.lucene.queryparser.surround.query.ComposedQuery
    - - org.apache.lucene.queryparser.surround.query.NotQuery

- All Implemented Interfaces:
    Cloneable

      public class NotQuery
      extends ComposedQuery

  Factory for prohibited clauses

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

      `opName, queries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotQuery(List<SrndQuery> queries, String opName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

      `getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

      `clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotQuery

          public NotQuery(List<SrndQuery> queries,
                          String opName)

  - ### Method Detail

    - #### makeLuceneQueryFieldNoBoost

          public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                   BasicQueryFactory qf)

      Specified by:
        `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.